post
https://protocol-api.tmi.evergonlabs.com/erc1155/deployGated
[TESTNET ONLY] This contract has not been audited.
Returns transaction data for deploying a new gated ERC1155 token via the factory contract.
Gated tokens require cryptographic signatures for transfers, mints, and burns.
Calls deployAndInitializeProxy on the ERC1155AutoIdGatedPausableRecoverableFactory to atomic deploy and initialize a new token proxy.
The deployed token supports:
- mint(to, amount, data) - Mint tokens with auto-generated ID (MINTER_ROLE gated + signature required)
- mintBatch(to, amounts, data) - Mint multiple tokens with auto-generated IDs (MINTER_ROLE gated + signature required)
- burn(account, id, amount) - Burn tokens (signature required)
- burnBatch(account, ids, amounts) - Burn multiple tokens (signature required)
- setURI(newuri) - Set metadata URI (DEFAULT_ADMIN_ROLE gated)
- pause() / unpause() - Pause/unpause transfers (PAUSER_ROLE gated)
- recover(token, to, amount) - Recover tokens (RECOVER_ROLE gated)
